Name:           ldm
Version:        2.0.18
%define _datestamp .20081030.15
#Release:        2%{_datestamp}%{?dist}
Release:        1%{?dist}
Summary:        LTSP Display Manager

Group:          User Interface/X
License:        GPLv2+
URL:            https://code.launchpad.net/~ltsp-upstream/ltsp/ldm-trunk
Source0:        ldm-%{version}.tar.bz2
# Artwork by Maureen Duffy <duffy@redhat.com>
%define theme_version 1.0.2
Source1:        ldm-k12linux-theme-%{theme_version}.tar.bz2
Patch0:         ldm-rearrange-stuff.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  gettext-devel
BuildRequires:  intltool

Requires:       nc
Requires:       openssh-clients

%description
LTSP Display Manager handles network logins for remote desktop sessions.

%package -n ldminfod
Summary:        LTSP client
Group:          User Interface/X
Requires:       openssh-server

%description -n ldminfod
Provides Linux Terminal Server capabilities to the LDM client.

%prep
%setup -q
%patch0 -p1


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
cd $RPM_BUILD_ROOT/%{_datadir}/ldm/themes
    tar xfvj %SOURCE1
    mv ldm-k12linux-theme-%{theme_version} k12linux
    ln -s k12linux default
cd -

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/ldm/

%find_lang ldm

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/
install -m 0755 ldminfod/ldminfod $RPM_BUILD_ROOT%{_sbindir}/ldminfod
install -m 0644 ldminfod/xinetd.d/ldminfod $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/ldminfod

rm -rf $RPM_BUILD_ROOT%{_datadir}/ldm/themes/ltsp

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ldm.lang
%defattr(-,root,root,-) 
%doc COPYING README
%{_sbindir}/ldm
%{_libexecdir}/ldm/
%{_datadir}/ldm/
%{_mandir}/man1/ldm.1.gz
%{_datadir}/ltsp/screen.d/ldm
%dir %{_localstatedir}/run/ldm/

%files -n ldminfod
%{_sbindir}/ldminfod
%config(noreplace) %{_sysconfdir}/xinetd.d/ldminfod

%changelog
* Thu Nov 13 2008 Warren Togami <wtogami@redhat.com> - 2.0.18-1
- Fix race condition in a clean way without the ugly hack.
- Improve logging.
- Many little bug fixes and code cleanups.

* Fri Oct 31 2008 Warren Togami <wtogami@redhat.com> - 2.0.16-1
- UGLY HACK: Workaround race condition where keyboard layout setting would often fail
             because it was being set before X was done initializing.

* Fri Oct 31 2008 Warren Togami <wtogami@redhat.com> - 2.0.15-1
- ldminfod tells LDM client location of Xsession script
  fallback to client's known location if ldminfod failed to tell it
- ldminfod moved from ltsp-server to ldminfod package

* Sun Oct 12 2008 Warren Togami <wtogami@redhat.com> - 2.0.13-3
- 2.0.13
- K12Linux theme by Maureen Duffy
- Rearrange LDM layout, thanks to Ryan Niebur of Debian
- Fix login box focus

* Wed Sep 10 2008 Warren Togami <wtogami@redhat.com> - 2.0.12-2
- remove /var/cache/ldm from package, renamed and shipped in ltsp-server instead

* Sun Aug 24 2008 Warren Togami <wtogami@redhat.com> - 2.0.12-1
- Fix crash on x86_64
- Fix crash after X failure

* Wed Aug 13 2008 Warren Togami <wtogami@redhat.com> - 2.0.11-1
- move all localapp stuff to ltsp

* Thu Aug 07 2008 Warren Togami <wtogami@redhat.com> - 2.0.10-1
- New: LDM_DEBUG_TERMINAL default to off
- Move xauth file into /var/run/
- Working local apps support.

* Sun Jul 27 2008 Warren Togami <wtogami@redhat.com> - 2.0.9-1
* Fix ltspfs unmounting upon logout

* Sun Jul 27 2008 Warren Togami <wtogami@redhat.com> - 2.0.8-1
- Major code cleanup and simplification
      SSH message direct to UI.
      ldm_spawn simplification.
      Proper glib string handling.
- Preparation for local apps feature
      Export LDM_USERNAME
      /var/cache/ldm for local apps feature
      S01-localapps
- Bug Fix: Login input validation
- Automatic login after timeout in guest mode
- Optional LDM_LIMIT_ONE_SESSION feature

* Tue Jul 01 2008 Warren Togami <wtogami@redhat.com> - 2.0.7-1
- 2.0.7 adds keyboard layout setting within ldm

* Sun Apr 27 2008 Warren Togami <wtogami@redhat.com> - 2.0.4-1
- Translations: Polish, Portugese, French, Vietnamese, Russian

* Mon Apr 07 2008 Warren Togami <wtogami@redhat.com> - 2.0.2-2
- upstream tarball was broken (my fault)
- use %%find_lang

* Sun Apr 06 2008 Warren Togami <wtogami@redhat.com> - 2.0.2-1
- 2.0.2 with some translations

* Sat Mar 29 2008 Warren Togami <wtogami@redhat.com> - 2.0.0-1
- 2.0.0 handles very long lists of locales

* Mon Mar 24 2008 Warren Togami <wtogami@redhat.com> - 0.1-0.7.20080324.10
- screen-x-common to unify X configuration between different screen scripts

* Sun Mar 23 2008 Warren Togami <wtogami@redhat.com> - 0.1-0.6.20080323
- Use xauth properly so LDM_DIRECTX is less insecure (#436230)

* Mon Mar 10 2008 Warren Togami <wtogami@redhat.com> - 0.1-0.5.20080310
- new upstream snapshot

* Wed Jan 16 2008 Warren Togami <toshoi@fedoraproject.org> - 0.1-0.3.20080116
- Add rc.d directory, make ldm-script executable
- Move ldm-script and rc.d to libexecdir/ldm

* Mon Jan 14 2008 Toshio Kuratomi <toshio@fedoraproject.org> - 0.1-0.2.20080114
- Fix spec file for reviewed items.

* Sun Jan 13 2008 Warren Togami <wtogami@redhat.com> - 0.1-0.20080113
- initial RPM
